View Issue Details

IDProjectCategoryView StatusLast Update
0005074GNUnetfile-sharing servicepublic2019-02-28 11:17
Reporterdavid_lAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005074: Unwanted automatic fallback to insertion when indexing fails.
DescriptionWhen a user publishes a file to which it has read-access but where the gnunet user don't have cd rights the indexing fails and the fallback is automatic insertion. Since this, AFAIK, can not be undone it should be up to the user to opt-in for the insertion (for example gnunet-publish ... --fallback=insertion).

WDYT?
Steps To ReproduceDirectory with file and gnunet execute bit set:
drwxr-xr-- 3 user1 gnunet 4096 Jun 9 21:47 .
-rw-r--r-- 1 user1 gnunet 4 Jun 9 21:50 hej2

Ancestor directory without gnunet as group:
drwxr-xr-- 4 user1 user1 4.0K Jun 9 18:33 .

[gnunet@workpc gnunet-published]$ gnunet-publish -n -k "test" hej2
There was trouble processing file `/home/user1/hd/Till datorn/Downloads/gnunet/gnunet-published/hej2', skipping it.
Jun 09 21:13:53-357397 gnunet-publish-18915 ERROR Assertion failed at fs_dirmetascan.c:324.
Internal error scanning directory.
[gnunet@workpc gnunet-published]$ gnunet-publish -k "test" hej2
There was trouble processing file `/home/user1/hd/Till datorn/Downloads/gnunet/gnunet-published/hej2', skipping it.
Jun 09 21:46:51-925416 gnunet-publish-10686 ERROR Assertion failed at fs_dirmetascan.c:324.
Internal error scanning directory.
Jun 09 21:46:51-930315 gnunet-publish-10686 ERROR Assertion failed at fs_dirmetascan.c:398.
Internal error scanning directory.
[gnunet@workpc gnunet-published]$ exit
exit
[root@workpc gnunet-published]# gnunet-publish -k "test" hej2
Jun 09 21:47:03-021918 gnunet-publish-10841 WARNING Can not index file `/home/user1/hd/Till datorn/Downloads/gnunet/gnunet-published/hej2': . Will try to insert instead.
Publishing `/home/user1/hd/Till datorn/Downloads/gnunet/gnunet-published/hej2' done.
URI is `gnunet://fs/chk/SY1Y2DBYXYWBVWAM518DCVC00ZB21S051DBHBQ43YJMJ3MVCX774FM6H7HERBWNGZY1HHMM7FVP2YRXS66YMEGBTG6JKGCKTZ4KXMFG.SY1Y2DBYXYWBVWAM518DCVC00ZB21S051DBHBQ43YJMJ3MVCX774FM6H7HERBWNGZY1HHMM7FVP2YRXS66YMEGBTG6JKGCKTZ4KXMFG.0'.
TagsNo tags attached.

Activities

amatus

2017-06-09 22:37

developer   ~0012243

FYI the unrelated assertion failures are bug 0005073

Christian Grothoff

2019-02-20 12:55

manager   ~0013902

For the sake of keeping it simple, I've removed the fallback option in ad10f3bd2..2f685ab91, so now we just throw the error message at the user explicitly.

Issue History

Date Modified Username Field Change
2017-06-09 22:35 david_l New Issue
2017-06-09 22:37 amatus Note Added: 0012243
2019-02-20 12:55 Christian Grothoff Assigned To => Christian Grothoff
2019-02-20 12:55 Christian Grothoff Status new => resolved
2019-02-20 12:55 Christian Grothoff Resolution open => fixed
2019-02-20 12:55 Christian Grothoff Fixed in Version => 0.11.0
2019-02-20 12:55 Christian Grothoff Note Added: 0013902
2019-02-20 12:55 Christian Grothoff Product Version => SVN HEAD
2019-02-20 12:55 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed